<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<div th:fragment="topNavigationBarBS()">
	<nav class="navbar navbar-expand-lg static-top">
		<div class="container-fluid" style="width: 98%">
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive"
				aria-controls="navbarResponsive" aria-expanded="false">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarResponsive">
				<ul class="navbar-nav" style="width: 100%">
					<li class="nav-item dropdown btn-hoverborder">
						<a class="nav-link dropdown-toggle" href="#" id="modulesDropdown" role="button" data-bs-toggle="dropdown"
							aria-expanded="false">
							<span th:text="#{label.modules}"></span>
						</a>
						<ul class="dropdown-menu" aria-labelledby="modulesDropdown">
							<li class="nav-item" th:each="m : ${menuitems}" th:if="${menuitems}">
								<th:block th:if="${#authentication}">
									<a th:class="'dropdown-item ' + ${m.cssClass == null ? '' : m.cssClass}" th:href="${m.url}"
										th:if="${#authentication.principal.attributes['realm_access']['roles'].contains(m.keycloakRole)}">
										<img th:src="${m.iconUrl}" th:if="${m.iconUrl}" class="iconbeforetext" /> <span th:unless="${m.iconUrl}"
											class="insteadoficon"></span>
										<th:block th:if="${m.label}">
											<th:block th:if="${m.description}">
												<th:block th:if="${m.description.hasTranslation()}">
													<span th:text="#{${m.label.langkey}}" th:title="#{${m.description.langkey}}"
														th:if="${m.label.hasTranslation()}"></span>
													<span th:text="${m.label.name}" th:title="#{${m.description.langkey}}"
														th:unless="${m.label.hasTranslation()}"></span>
												</th:block>
												<th:block th:unless="${m.description.hasTranslation()}">
													<span th:text="#{${m.label.langkey}}" th:title="${m.description.name}"
														th:if="${m.label.hasTranslation()}"></span>
													<span th:text="${m.label.name}" th:title="${m.description.name}"
														th:unless="${m.label.hasTranslation()}"></span>
												</th:block>
											</th:block>
											<th:block th:unless="${m.description}">
												<span th:text="#{${m.label.langkey}}" th:if="${m.label.hasTranslation()}"></span>
												<span th:text="${m.label.name}" th:unless="${m.label.hasTranslation()}"></span>
											</th:block>
										</th:block>
										<span th:text="${m.url}" th:unless="${m.label}"></span>
									</a>
								</th:block>
							</li>
							<li th:unless="${menuitems}">
								<span class="dropdown-item" th:text="#{error.missing.menuitems}"></span>
							</li>
						</ul>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/}">
							<i class="fas fa-home"></i>
						</a>
					</li>
					<th:block th:replace="menu::menu()">
					</th:block>
					<li class="nav-item ms-auto">
						<span class="nav-link version mousehelp" th:text="'v' + ${@buildInformation.version}"
							th:title="#{label.version}"></span>
					</li>
					<li class="nav-item dropdown btn-hoverborder">
						<a class="nav-link dropdown-toggle" href="#" id="optionsDropdown" role="button" data-bs-toggle="dropdown"
							aria-expanded="false" data-bs-auto-close="outside">
							<i class="fas fa-screwdriver-wrench" th:title="#{label.options}"></i>
						</a>
						<ul class="dropdown-menu dropdown-menu-end" aria-labelledby="optionsDropdown" style="right: 0 !important">
							<li class="nav-item dropstart btn-hoverborder">
								<a class="nav-link dropdown-toggle" href="#" id="localeDropright" role="button"
									data-bs-toggle="dropdown" aria-expanded="false">
									<img th:src="@{'/images/locale/' + ${#locale} + '.png'}" />&nbsp; <span
										th:text="#{'locale.' + ${#locale}}"></span>
								</a>
								<ul class="dropdown-menu" aria-labelledby="localeDropright">
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'de' ? 'active' : ''"
											th:href="@{''(lang=de)}">
											<img alt="" th:src="@{/images/locale/de.png}" />&nbsp;[[#{locale.de}]]
										</a>
									</li>
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'en' ? 'active' : ''"
											th:href="@{''(lang=en)}">
											<img alt="" th:src="@{/images/locale/en.png}" />&nbsp;[[#{locale.en}]]
										</a>
									</li>
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'es' ? 'active' : ''"
											th:href="@{''(lang=es)}">
											<img alt="" th:src="@{/images/locale/es.png}" />&nbsp;[[#{locale.es}]]
										</a>
									</li>
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'it' ? 'active' : ''"
											th:href="@{''(lang=it)}">
											<img alt="" th:src="@{/images/locale/it.png}" />&nbsp;[[#{locale.it}]]
										</a>
									</li>
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'pl' ? 'active' : ''"
											th:href="@{''(lang=pl)}">
											<img alt="" th:src="@{/images/locale/pl.png}" />&nbsp;[[#{locale.pl}]]
										</a>
									</li>
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'pt' ? 'active' : ''"
											th:href="@{''(lang=pt)}">
											<img alt="" th:src="@{/images/locale/pt.png}" />&nbsp;[[#{locale.pt}]]
										</a>
									</li>
									<li>
										<a class="dropdown-item" th:classappend="${#locale.toString()} == 'ro' ? 'active' : ''"
											th:href="@{''(lang=ro)}">
											<img alt="" th:src="@{/images/locale/ro.png}" />&nbsp;[[#{locale.ro}]]
										</a>
									</li>
								</ul>
							</li>
							<li th:if="${profile}">
								<hr class="dropdown-divider">
							</li>
							<li class="nav-item" th:if="${profile}">
								<a class="dropdown-item" th:href="@{/toggletheme}">
									<span th:text="#{label.theme(${profile.theme})}"></span>
								</a>
							</li>
							<li th:if="${#authentication}">
								<hr class="dropdown-divider">
							</li>
							<li class="nav-item" th:if="${#authentication}">
								<a class="dropdown-item" th:href="${@keycloakInformation.keycloakUserUrl}" target="_blank">
									<span th:text="#{button.profile}"></span>
								</a>
							</li>
							<li>
								<hr class="dropdown-divider">
							</li>
							<li class="nav-item" th:if="${#authentication}">
								<a class="dropdown-item" th:href="@{/logout}">
									<span th:text="#{button.logout}"></span>
								</a>
							</li>
							<li class="nav-item" th:unless="${#authentication}">
								<a class="dropdown-item" th:href="@{/login}">
									<span th:text="#{button.login}"></span>
								</a>
							</li>
						</ul>
					</li>
				</ul>
			</div>
		</div>
	</nav>
</div>

</html>